### Method

# EBook BookClientCursor step

since: 3.12

#### Declaration [src]

    void
    e_book_client_cursor_step (
      EBookClientCursor* cursor,
      EBookCursorStepFlags flags,
      EBookCursorOrigin origin,
      gint count,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Steps the cursor through the results by a maximum of `count` and fetch the results traversed.

See: e_book_client_cursor_step_sync().

This asynchronous call is completed with a call to `e_book_client_cursor_step_finish()` from the specified `callback`.

Available since: 3.12

This method completes asynchronously. Use `e_book_client_cursor_step_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `EBookCursorStepFlags`

  The `EBookCursorStepFlags` for this step.

`origin`

  Type: `EBookCursorOrigin`

  The `EBookCursorOrigin` from whence to step.

`count`

  Type: `gint`

  A positive or negative amount of contacts to try and fetch.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to optionally cancel this operation while in progress.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.